package com.kmall.admin.entity.mk;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 营销中心菜单门店关联表实体
 * 表名 mk_center_menu_store_real
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-28 10:14:06
 */
public class MkCenterMenuStoreRealEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Integer id;
    /**
     * 营销菜单id
     */
    private Integer centerMenuId;
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 第三方商户id
     */
    private Integer thirdMerchSn;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;


    private List<Integer> centerMenuIdList;

    public List<Integer> getCenterMenuIdList() {
        return centerMenuIdList;
    }

    public void setCenterMenuIdList(List<Integer> centerMenuIdList) {
        this.centerMenuIdList = centerMenuIdList;
    }

    /**
     * 设置：编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：编号
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：营销菜单id
     */
    public void setCenterMenuId(Integer centerMenuId) {
        this.centerMenuId = centerMenuId;
    }

    /**
     * 获取：营销菜单id
     */
    public Integer getCenterMenuId() {
        return centerMenuId;
    }
    /**
     * 设置：门店id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：第三方商户id
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：第三方商户id
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
